Summary:	KDE Remote Desktop Client
Name:		krdc
Version:	17.08.2
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		krdc-17.08.2-desktop.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	freerdp
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
Requires:	freerdp
Conflicts:	kde5-l10n < 17.04

%description
KDE Remote Desktop Client is a client application that allows you to view
or even control the desktop session on another machine that is running a
compatible server. VNC and RDP are supported.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.krdc.desktop
%{_kde5_bindir}/krdc
%{_kde5_datadir}/config.kcfg/krdc.kcfg
%{_kde5_datadir}/krdc/pics/*
%{_kde5_services}/rdp.protocol
%{_kde5_services}/vnc.protocol
%{_kde5_services}/krdc_rdp_config.desktop
%{_kde5_services}/krdc_vnc_config.desktop
%{_kde5_services}/ServiceMenus/smb2rdc.desktop
%{_kde5_xmlguidir}/krdc/krdcui.rc
%{_qt5_plugindir}/krdc/kcms/libkcm_krdc_rdpplugin.so
%{_qt5_plugindir}/krdc/kcms/libkcm_krdc_vncplugin.so
%{_qt5_plugindir}/krdc/libkrdc_rdpplugin.so
%{_qt5_plugindir}/krdc/libkrdc_testplugin.so
%{_qt5_plugindir}/krdc/libkrdc_vncplugin.so

#----------------------------------------------------------------------------

%define krdccore_major 5
%define libkrdccore %mklibname krdccore %{krdccore_major}

%package -n %{libkrdccore}
Summary:	Shared library for KRDC
Group:		System/Libraries

%description -n %{libkrdccore}
Shared library for KRDC.

%files -n %{libkrdccore}
%{_kde5_libdir}/libkrdccore.so.%{krdccore_major}
%{_kde5_libdir}/libkrdccore.so.%{version}

#----------------------------------------------------------------------------

%define devkrdccore %mklibname krdccore -d

%package -n %{devkrdccore}
Summary:	Development for KRDC
Group:		Development/KDE and Qt
Requires:	%{libkrdccore} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkrdccore}
This package contains header files needed if you want to build applications
based on KRDC.

%files -n %{devkrdccore}
%{_kde5_includedir}/krdc
%{_kde5_includedir}/krdccore_export.h
%{_kde5_libdir}/libkrdccore.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.08.2-1
- (9b3b349) Re-diff desktop patch


